package com.inca.timer;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.inca.np.auth.Userruninfo;
import com.inca.np.gui.control.DBTableModel;
import com.inca.np.util.SelectHelper;
import com.inca.npbusi.sales.bms_sa_doc.Bms_sales_confirm_dbprocess;
import com.inca.npserver.timer.TimerAdapter;
import java.sql.Connection;
import java.sql.SQLException;
import org.apache.log4j.Category;

public class AutoConfirmSaSetTimer extends TimerAdapter {
  private Category a = Category.getInstance(com.inca.timer.AutoConfirmSaSetTimer.class);
  
  public String getName() {
    return "自动确定临时状态结算单并生成传票";
  }
  
  public long getSecond() {
    return 82800L;
  }
  
  public String getType() {
    return "每天执行一次";
  }
  
  public void onTimer() {
    Connection connection = null;
    null = null;
    try {
      this.a.info("定时执行结算单确定并生成传票开始......");
      connection = getConnection();
      this.a.info("开始查询数据......");
      null = "select d.sasettleid, d.entryid, d.inputmanid\n  from bms_sa_dtl        a,\n       bms_sa_doctoset   b,\n       bms_sa_settle_dtl c,\n       bms_sa_settle_doc d\n where a.salesdtlid = b.salesdtlid\n   and b.sasettledtlid = c.sasettledtlid\n   and c.sasettleid = d.sasettleid\n   and d.usestatus = 2\n   and trunc(d.credate) = trunc(sysdate)\n group by d.sasettleid, d.entryid, d.inputmanid";
      DBTableModel dBTableModel;
      SelectHelper selectHelper;
      if ((dBTableModel = (selectHelper = new SelectHelper(null)).executeSelect(connection, 0, 2147483646)) == null || dBTableModel.getRowCount() == 0) {
        this.a.info("未查询到符合条件的数据......");
      } else {
        for (byte b = 0; b < dBTableModel.getRowCount(); b++) {
          String str1 = dBTableModel.getItemValue(b, "sasettleid");
          String str2 = dBTableModel.getItemValue(b, "inputmanid");
          String str3 = dBTableModel.getItemValue(b, "entryid");
          Userruninfo userruninfo;
          (userruninfo = new Userruninfo()).setEntryid(str3);
          userruninfo.setUserid(str2);
          Bms_sales_confirm_dbprocess.saSettleConfirm(connection, str1, userruninfo, str3);
          Bms_sales_confirm_dbprocess.genCert(connection, str1, str3, userruninfo);
        } 
      } 
      this.a.info("定时执行结算单确定并生成传票结束......");
    } catch (Exception exception) {
      try {
        connection.rollback();
      } catch (SQLException sQLException) {}
      this.a.error("Error", exception);
    } finally {
      if (connection != null)
        try {
          connection.commit();
          connection.close();
        } catch (SQLException sQLException) {} 
    } 
  }
}
